// Credits go to Jonathan Nathan for this code

#import <Cocoa/Cocoa.h>
#import <QuickTime/QuickTime.h>

@interface methods : NSObject
+ (NSDictionary *)getMovieProperties:(NSMovieView *)movieView;
@end

@implementation methods

+ (NSDictionary *)getMovieProperties:(NSMovieView *)movieView {
    NSMutableDictionary *returnData = [[[NSMutableDictionary alloc] init] autorelease];
    Movie qtmovie = [[movieView movie] QTMovie];
    Rect boundsRect;

    GetMovieNaturalBoundsRect(qtmovie, &boundsRect);
    [returnData setObject:[NSNumber numberWithFloat:(boundsRect.right - boundsRect.left)] forKey:@"default_width"];
    [returnData setObject:[NSNumber numberWithFloat:(boundsRect.bottom - boundsRect.top)] forKey:@"default_height"];
    
    return returnData;
}

@end
